package com.gh.gamecenter.feature.provider

import com.alibaba.android.arouter.facade.template.IProvider
import com.gh.gamecenter.feature.entity.GameEntity
import com.gh.gamecenter.feature.entity.IpInfo

interface IRegionSettingHelperProvider : IProvider {

    fun shouldThisGameDisplayMirrorInfo(gameId: String): Boolean

    fun getMirrorPosition(gameId: String): Int

    fun shouldThisGameShowSpecialDownload(gameId: String):Boolean

    fun filterGame(list: List<GameEntity>): ArrayList<GameEntity>

    fun getIpInfo(): IpInfo?
}